Package twisted :: Package python :: Module formmethod :: Class IntegerRange

[frames | no frames]

## Class IntegerRange

    Argument --+
               |
         Integer --+
                   |
                  IntegerRange

Method Summary
| `__init__(self, name, min, max, allowNone, default, shortDesc, longDesc, hints)`
| ``coerce`(self, val)` Convert the value to the correct format.
Inherited from Argument
| ``addHints`(self, **kwargs)`
| ``getHint`(self, name, default)`
| ``getLongDescription`(self)`
| ``getShortDescription`(self)`

Class Variable Summary
Inherited from Integer
`NoneType` | `defaultDefault` = None

Method Details

### coerce(self, val)

Convert the value to the correct format.

  Overrides:
    `twisted.python.formmethod.Integer.coerce` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:08:07 2004 | http://epydoc.sf.net